aboutsummaryrefslogtreecommitdiffstats
path: root/post-commit
diff options
context:
space:
mode:
Diffstat (limited to 'post-commit')
-rw-r--r--post-commit8
1 files changed, 8 insertions, 0 deletions
diff --git a/post-commit b/post-commit
new file mode 100644
index 0000000..b0587ba
--- /dev/null
+++ b/post-commit
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -eux
+
+BUG_ID=$(git format-patch --stdout HEAD~|git interpret-trailers --parse|awk -F '#' '/^Fixes: gb#/ { print $2}')
+if [ -n "$BUG_ID" ] ; then
+ git bug comment add "${BUG_ID}" -m "Closed by the commit $(git log -1 --abbrev=12 --format="format:%h" HEAD)."
+ git bug status close "$BUG_ID"
+fi